<h2 class="py-3 px-3 bg-primary text-light" jhiTranslate="ecomBookstoreApp.customerComment.manageComment.main">Create or edit a Customer Comment</h2>
<div class="justify-content-center bg-secondary text-light">
    <div class="py-2 px-4 mb-1">
        <jhi-book-card [book]="book || null">
        </jhi-book-card>
    </div>

    <div class="flex-grow-1 px-1 bg-primary text-light">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h3 id="jhi-customer-comment-heading" jhiTranslate="ecomBookstoreApp.customerComment.manageComment.rating">Create or edit a Customer Comment</h3>

            <div class="">

                <div class="form-group">
                    <ngb-rating [max]="5" [(rate)]="rate" (rateChange)="onSetRating($event)"></ngb-rating>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="ecomBookstoreApp.customerComment.manageComment.title" for="field_title">Title</label>
                    <input type="text" class="form-control" name="title" id="field_title" formControlName="title" />
                </div>


                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="ecomBookstoreApp.customerComment.manageComment.comment" for="field_comment">Comment</label>
                    <textarea cols="20" rows="5" type="text" class="form-control" name="comment" id="field_comment" formControlName="comment"> </textarea>
                    <span>50 ~ 150 characters</span>
                </div>

            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>